using C1.Win.FlexGrid;
using C1.Win.Themes;

namespace FlexColDataType
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();


      this.c1FlexGrid1.Cols[1].DataType = typeof(MyData);

      SortedDictionary<MyData, MyData> listItems = new();
      MyData md = new MyData(1, "one");
      listItems.Add(md, md);
      md = new MyData(2, "two");
      listItems.Add(md, md);
      md = new MyData(3, "three");
      listItems.Add(md, md);
      md = new MyData(4, "four");
      listItems.Add(md, md);
      md = new MyData(5, "five");
      listItems.Add(md, md);



      CellStyle styleItem = this.c1FlexGrid1.Styles.Add("mydata", this.c1FlexGrid1.Styles.Normal);
      styleItem.DataType = typeof(MyData);
      styleItem.DataMap = listItems;
      for (int row = this.c1FlexGrid1.Rows.Fixed; row < this.c1FlexGrid1.Rows.Count; row++)
      {
        this.c1FlexGrid1[row, 0] = row;
        this.c1FlexGrid1[row, 1] = md;

        this.c1FlexGrid1.SetCellStyle(row, 1, styleItem);
      }

    }

    protected override void OnLoad(EventArgs e)
    {
      base.OnLoad(e);

      C1Theme theme = C1ThemeController.GetThemeByName("Material", true);
      C1ThemeController.ApplyThemeToControlTree(this, theme);


    }
  }
}
