﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FlexColDataType
{
  internal class MyData : IComparable<MyData>
  {
    public MyData(int id, string name)
      {
      this.ID = id;
      this.Name = name;
      }
    public int ID
    {
      get;
      set;
    }

    public string Name { get; set; }


    public override string ToString()
    {
      return this.Name;
    }

    public override bool Equals(object? obj)
    {
      MyData dataOther = (MyData)obj;

      return this.ID == dataOther.ID;
    }

    public int CompareTo(MyData? other)
    {
      return this.ID.CompareTo(other.ID);
    }
  }
}
